unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, ComCtrls, StdCtrls,
  ExtCtrls;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    Button5: TButton;
    Button6: TButton;
    Button7: TButton;
    Button8: TButton;
    PageControl1: TPageControl;
    PaintBox1: TPaintBox;
    PaintBox2: TPaintBox;
    TabSheet1: TTabSheet;
    TabSheet2: TTabSheet;
    procedure FormClose(Sender: TObject; var CloseAction: TCloseAction);
    procedure FormCreate(Sender: TObject);
    procedure PaintBoxPaint(Sender: TObject);
    procedure TabSheetResize(Sender: TObject);
  private

  public
    img : array [1..2] of TImage;
    buttons : array[1..2,1..4] of tbutton;
  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.FormCreate(Sender: TObject);
begin
  pagecontrol1.TabIndex := 0;
  if (not fileexists('p1.jpg')) or (not fileexists('p2.jpg')) then
    begin
      showmessage('Images not found :(');
      halt;
    end;

  img[1] := TImage.create(form1);
  img[1].Picture.LoadFromFile('p1.jpg');
  img[2] := TImage.create(form1);
  img[2].Picture.LoadFromFile('p2.jpg');

  buttons[1,1] := button1;
  buttons[1,2] := button2;
  buttons[1,3] := button3;
  buttons[1,4] := button4;
  buttons[2,1] := button5;
  buttons[2,2] := button6;
  buttons[2,3] := button7;
  buttons[2,4] := button8;
end;

procedure TForm1.PaintBoxPaint(Sender: TObject);
var
  pb : TPaintbox;
  r : TRect;
begin
  pb := TPaintbox(sender);
  r := rect(0,0,pb.width,pb.height);
  pb.canvas.stretchdraw(r,img[pb.tag].Picture.Graphic);
end;

procedure TForm1.TabSheetResize(Sender: TObject);
const
  gap = 25;
var
  a : byte;
  ts : TTabSheet;
  w : integer;
begin
  ts := TTabSheet(sender);
  w := ts.width - 2*gap;
  for a := 1 to 4 do
    begin
      buttons[ts.tag,a].top := a*gap + button1.height*(a-1);
      buttons[ts.tag,a].width := w;
    end;
end;

procedure TForm1.FormClose(Sender: TObject; var CloseAction: TCloseAction);
begin
  img[1].free;
  img[2].free;
end;

end.

